UserTypeSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class UserTypeSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.BytesSerializer
  - - org.apache.cassandra.serializers.UserTypeSerializer

- All Implemented Interfaces:
    TypeSerializer<java.nio.ByteBuffer>

      public class UserTypeSerializer
      extends BytesSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.LinkedHashMap<java.lang.String,TypeSerializer<?>>` | `fields`

    - ### Fields inherited from class org.apache.cassandra.serializers.BytesSerializer

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTypeSerializer(java.util.LinkedHashMap<java.lang.String,TypeSerializer<?>> fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class org.apache.cassandra.serializers.BytesSerializer

      `deserialize, getType, serialize, toCQLLiteral, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          public final java.util.LinkedHashMap<java.lang.String,TypeSerializer<?>> fields

  - ### Constructor Detail

    - #### UserTypeSerializer

          public UserTypeSerializer(java.util.LinkedHashMap<java.lang.String,TypeSerializer<?>> fields)

  - ### Method Detail

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.nio.ByteBuffer>`
      Overrides:
        `validate` in class `BytesSerializer`
      Throws:
        `MarshalException`

Copyright © 2018 The Apache Software Foundation